Subject: problems with bash/nfs resolved!
From: [email-masked] (Murray Smigel)

6 Apr 1997 15:31:06 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0.1 (32)
Original-To: [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

I was getting bogus writes when using gnu-win32 utilities to write to a
file system which was exported from an IBM rs/6000/AIX 4.1.5 workstation.
The files had blocks of nulls written in them.  

I have been using the Hummingbird nfs/maestro product (version 4.00.950) as
my win95 nfs client.  After extended conversations with the Hummingbird
support folks, they suggested that I add an entry to the registry as follows:

regedit

HKEY_LOCAL_MACHINE
  SOFTWARE
    Hummingbird
      Maestro
        NFS Client
          Current version

Edit -> New -> DWORD

nov3 with value 1

(And people say Unix is obscure!)
This enables a patch in the nfs client which causes some sort of stricter
conformance to the nfs protocol (beats me).  Anyway, it seems to really
clear up the problems.  The Hummingbird folks had not seen this problem
before, but the nov3 patch had been added to solve someother AIX related
problems.

Kudo's to the Hummingbird folks (Najeeb) for persisting through this one.
They do have a nice nfs product as well as a fine X-server for win95/nt

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".